Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #774

can't disable loading metadata when adding playlist
January 29, 2018 23:44 - Ipor Sircer

Status: Closed Start date: January 29, 2018
Priority: Minor Due date:

Assignee: % Done: 100%

Category: libaudcore Estimated time: 0.00 hour

Target version: 3.10

Affects version: 3.9

Description

| have a large xspf playlist (200,000 files on slow network media). In version 3.8.2 it was loaded in some seconds, but version 3.9
and the latest github master tries to read all files, so about only 1000 files was added in one minute. | don't have enough patience to
wait for fully loaded.

The setting "Do not load metadata for song until played" is simply ignored or other bug affected.

History

#1 - February 01, 2018 03:21 - John Lindgren

Does your playlist contain any metadata, or just <location> elements?

#2 - February 03, 2018 18:44 - John Lindgren

These changes should help:

https://github.com/audacious-media-player/audacious/commit/32a9837593b575acc120c9105af60a84e96a3b2a
https://github.com/audacious-media-player/audacious/commit/95e229a87e42b0f242e7245f2c40046db79491e1

#3 - February 03, 2018 18:49 - John Lindgren
- % Done changed from 0 to 100

- Target version set to 3.10

- Status changed from New to Closed

- Category changed from plugins/xspf to libaudcore
